%global momorel 1
%global md5sum_src0 ab673e1fc0859a42bcb639a02c2d7e9e

Summary: Functional Constraint Library implemented in Objective Caml
Name: facile
Version: 1.1
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
%NoSource 0 http://www.recherche.enac.fr/opti/facile/distrib/%{name}-%{version}.tar.gz %{md5sum_src0}
URL: http://www.recherche.enac.fr/opti/facile/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: ocaml >= 3.02
Requires: ocaml >= 3.02

%description
FaCiLe is a constraint programming library on integer and integer set 
finite domains written in OCaml. It offers all usual facilities to create and 
manipulate finite domain variables, arithmetic expressions and constraints 
(possibly non-linear), built-in global constraints (difference, cardinality, 
sorting etc.) and search and optimization goals. FaCiLe allows as well to 
build easily user-defined constraints and goals (including recursive ones), 
making pervasive use of OCaml higher-order functionals to provide a simple 
and flexible interface for the user. As FaCiLe is an OCaml library and not 
"yet another language", the user benefits from type inference and strong 
typing discipline, high level of abstraction, modules and objects system, 
as well as native code compilation efficiency, garbage collection and replay 
debugger, all features of OCaml (among many others) that allow to prototype 
and experiment quickly: modeling, data processing and interface are 
implemented with the same powerful and efficient language. For a more 
complete description, you may consult the preface and foreword of the online 
documentation

%prep
rm -rf %{buildroot}

%setup -q

%build
./configure

%make
make check

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/ocaml/facile
cp src/facile.cmi src/facile.cma src/facile.cmxa src/facile.a %{buildroot}%{_libdir}/ocaml/facile
chmod a+r %{buildroot}%{_libdir}/ocaml/facile/facile.cmi
chmod a+r %{buildroot}%{_libdir}/ocaml/facile/facile.cma
chmod a+r %{buildroot}%{_libdir}/ocaml/facile/facile.cmxa
chmod a+r %{buildroot}%{_libdir}/ocaml/facile/facile.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/ocaml/facile/*

%changelog
* Mon Nov 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-1m)
- import from Vine Seed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl4
- rebuild with ocaml-3.09.1 on VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl3
- rebuild with ocaml-3.09.1 on Vine3.2

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl2
- rebuild for VineSeed

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl1
- initial release
